| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions | Variables
breflect.cpp File Reference

General structure factor editor and analyzer. More...

`#include "rwimg.h"`
`#include "img_fourier.h"`
`#include "img_reflections.h"`
`#include "img_ampweigh.h"`
`#include "img_symmetry.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

General structure factor editor and analyzer.

Author
  Bernard Heymann

Date
  Created: 19981110
  Modified: 20110804

Definition in file breflect.cpp.

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 51 of file breflect.cpp.

## Variable Documentation

const char* use[]

Initial value:
= {
" ",
"Usage: breflect [options] file.hkl file.hkl",
"-------------------------------------------",
"Edits and analyzes structure factor files.",
" ",
"Actions:",
"-fom 0,1.0,0.0 Rescale FOM to min and max and apply cutoff.",
"-weigh Weigh the amplitudes with the FOM.",
"-translate 1.5,-5.2,3 Translation in pixel coordinates.",
"-analyze Analyze structure factors.",
"-mirror Mirror = invert Friedel symmetry.",
"-normalize Normalize to average amplitude.",
"-scale file.hkl Scale SF with profile from input SF.",
"-combine file.hkl Combine SF with profile scaling with input SF.",
"-symmetry 1 Check symmetry for this space group.",
"-Symmetry 1 Apply symmetry for this space group.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-datatype u Force writing of a new data type.",
"-sampling 2,3.5,1 Sampling (angstrom/voxel, a single value sets all three).",
"-resolution 6.5,150 High and low resolution in A (default maximum in data).",
"-unitcell 96,96,100,90,90,90 Unit cell parameters.",
"-free 15 % flagged for R-free calculations (default 10%).",
" ",
NULL
}

Definition at line 22 of file breflect.cpp.

int verbose